Subject: bug#37897: Bug: Resetting locale settings

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Thu, 24 Oct 2019 01:27:16 +0200

Hullo again,

I can't help you with your exact problem, but

[email-masked] 写道：
> In the latter case, I was able to login via 'loadkeys
> /run/current-system/profile/share/keymaps/i386/qwertz/de-latin1' 
> in
> TTY (where I went with C-M-F2 or F3, nvm); but now, I am unable 
> to set
> the keymap via loadkeys. When I dont use sudo, I receive the 
> message
> 'data descriptor referring to console couldnt be found' 
> (translated
> from german "Dateideskriptor, der auf die Konsole verweist, 
> konnte
> nicht gefunden werden."); if I do use sudo, I dont get an error, 
> but
> the keyboard layout doesnt change.

I ran ‘sudo loadkeys de-latin1’ on VT 2, where my ‘y’ key now does 
the bad thing.  So it works here.

This mix of loadkeys and setxkbmap confuses me, though: are you 
trying to log in on a VT (the Linux console), or X?

‘loadkeys’ only handles the former, ‘setxkbmap’ only the latter. 
They are entirely separate.

Kind regards,

T G-R